0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
Microphone Month

SweetCare®

UPDATED: Logic 9 users, avoid updating to Mac OS Lion version 10.7.5

We’ve seen several reports that Logic Pro 9.1.7 is having difficulty validating 3rd party Audio Unit plugins since the Lion 10.7.5 update.  This appears to happen with most 3rd party plugins. This includes powered plugins like UAD.

We therefore recommend not updating to Mac OS 10.7.5 at this time if you are a Logic user.  Watch for updates and potential fixes.

Here are some discussions regarding the topic:

https://discussions.apple.com/thread/4356854

https://discussions.apple.com/thread/4313821

http://www.logicprohelp.com/forum/viewtopic.php?f=1&t=87742

UPDATE: Apple released a supplementary update that fixes some third party validations. The link is below.
http://support.apple.com/kb/DL1599

Click here for 28,000 answers to your tech questions

Hundreds of Deals in the DealZone